export interface IRoutes {
    path: string;
    load: () => Promise<any>;
    name: string;
    componentName: string;
    isNav?: boolean;
    children?: boolean;
    data?: any;
    isAuth?: boolean;
}
export interface ActivateObject {
    name: string;
    isNav: boolean;
    href: string;
    data: any;
}
interface IFreeRouterElement {
    canDeactivate: () => Promise<boolean>;
    activate: (url: string, params: any, activateObject: ActivateObject) => Promise<void>;
}
export interface Router {
    addRouterConfig(name: string, routes: IRoutes[]): void;
}
export declare type IRouterHTMLElement = IFreeRouterElement & HTMLElement;
export declare class RouterInternal {
    active: string[];
    private routers;
    private routersConfig;
    private backEventtriggered;
    private lastpop;
    private haltedActivate;
    private foundRoute;
    private routeNotFoundCallback;
    private routeAuthCallback;
    loadingHandlerCallback: (options: string, activeRouter: string) => void;
    routeChangeHandlerCallback: (options: ActivateObject, activeRouter: string) => void;
    activeRoute: ActivateObject;
    usehash: boolean;
    constructor();
    activateRouterElement(name: string): void;
    deactivateRouterElement(name: string): void;
    goto(hash: string, params?: any): void;
    getNavLinks(routerName: string | undefined, active?: boolean): ActivateObject[];
    getNavLink(pathname: string, routerName: string | undefined, active?: boolean): ActivateObject;
    private hashChange;
    private dowork;
    private routeNotFound;
    registerUnknowRouteHandler(callback: (hash: string) => void): void;
    private routeAuth;
    href(name: string, _router?: string): string;
    registerAuthRouteHandler(callback: (options: ActivateObject) => void): void;
    registerLoadingHandler(callback: (hash: string, activeRouter: string) => void): void;
    registerRouteChangeHandler(callback: (options: ActivateObject, activeRouter: string) => void): void;
    addRouterConfig(name: string, routes: IRoutes[]): void;
    removeRouterConfig(name: string): void;
}
export declare function getRouter(): RouterInternal;
export declare function href(name: string, _router?: string): string;
export declare function navs(routerName: string): ActivateObject[];
export declare function addRouterConfig(name: string, routes: IRoutes[]): void;
export declare function removeRouterConfig(name: string): void;
export declare function unknowRouteHandler(callback: (hash: string) => void): void;
export declare function authRouteHandler(callback: (options: ActivateObject) => void): void;
export declare function goto(hash: string, params?: any): void;
export {};
