import { getRouter, RouterInternal } from './router';
import { logger } from './helpers';
export { getRouter, href, authRouteHandler, unknowRouteHandler, addRouterConfig, goto, navs, removeRouterConfig } from './router';
export class FreeRouter extends HTMLElement {
    router: RouterInternal;
    // private

    constructor() {
        super();
        this.router = getRouter();
    }

    connectedCallback() {
        logger('FreeRouter-connectedcallback', this.getAttribute('name'));
        this.router.activateRouterElement(this.getAttribute('name'));
    }

    disconnectedcallback() {
        logger('FreeRouter-disconnectedcallback', this.getAttribute('name'));
        this.router.deactivateRouterElement(this.getAttribute('name'));
    }
}

if (!customElements.get('free-router')) {
    customElements.define('free-router', FreeRouter);
}
